AplasAplas API Reference

List all component tags

GET
/index/{indexId}/componentTag

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Path Parameters

indexId*string

The id of the containing index

Query Parameters

fields?string

Comma-separated list of additional fields to return. Use 'fields=*' to return all available fields. See the resource schema for fields you can request.

Response Body

*/*

*/*

curl -X GET "https://api.au.aplas.com/api/v2/index/id/componentTag?fields=color%2Cdescription"
[
  {
    "id": "id",
    "name": "Com Tag A",
    "description": "More information",
    "color": "#FFFFFF",
    "status": "Standard",
    "customFieldA": "Custom Field Value",
    "customFieldB": [
      "alias1",
      "alias2"
    ]
  }
]
{
  "code": 500,
  "message": "Internal server error"
}